Subject: Re: bug#22417: Self parsing bug
From: Mosè Giordano <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 20 Jan 2016 23:06:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Andreas,

2016-01-20 22:50 GMT+01:00  <[email-masked]>:
> looking in the file
> auctex/style/subfigure.el i found the following setq command that fails when
> I try to execute it with the same error as i got before.
>
>    ;; Install completion for labels:
>    (setq TeX-complete-list
>          (append
>           '(("\\\\[Ss]ubref{\\([^{}\n\r\\%,]*\\)" 1 LaTeX-label-list "}")))
>           TeX-complete-list)
>
> maybe this is what causes the error. I don't understand why the error only
> happens for me though.

This was useful!  setq's syntax has been changed in Emacs 25 so that
it requires an even number of arguments, see the NEWS file, that's why
you get the error while I don't.  Anyway the previous setq was wrong,
as the last `TeX-complete-list' escaped outside `append' call.  Thanks
for spotting this bug!  Fixed with the latest commit.

Bye,
Mosè